aboutsummaryrefslogtreecommitdiffstats
path: root/x11/font-mutt-misc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-02 12:56:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-02 12:56:19 +0000
commit93ec24c660c895f064949f47aa7d21071bf80a7f (patch)
tree6cd700710c749087bf24681bf633bfcba703a107 /x11/font-mutt-misc/APKBUILD
parentd9fa47ecc4f23142615a7a71f4d71d26333719b6 (diff)
downloadaports-93ec24c660c895f064949f47aa7d21071bf80a7f.tar.gz
aports-93ec24c660c895f064949f47aa7d21071bf80a7f.tar.bz2
aports-93ec24c660c895f064949f47aa7d21071bf80a7f.tar.xz
x11/font-*-misc: new font aports
Diffstat (limited to 'x11/font-mutt-misc/APKBUILD')
-rw-r--r--x11/font-mutt-misc/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/x11/font-mutt-misc/APKBUILD b/x11/font-mutt-misc/APKBUILD
new file mode 100644
index 0000000000..69548fb7c3
--- /dev/null
+++ b/x11/font-mutt-misc/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-mutt-misc
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="X.org misc font"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install="$pkgname.post-install $pkgname.post-upgrade"
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/misc
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="648b409b7eb78ad1cd5f6d7fac3eef88 font-mutt-misc-1.0.0.tar.bz2
+a24308692d7112b79a5a188c0b5c2e41 font-mutt-misc.post-install
+a24308692d7112b79a5a188c0b5c2e41 font-mutt-misc.post-upgrade"